get_periphery {DiagrammeR} | R Documentation

## Get nodes that form the graph periphery

### Description

Get those nodes that are part of the graph periphery (i.e., have the maximum eccentricity in the graph).

### Usage

    get_periphery(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a vector of node IDs.

### Examples

    # Create a random graph using the
    # `add_gnm_graph()` function and
    # get the nodes in the graph periphery
    create_graph() %>%
      add_gnm_graph(
        n = 28,
        m = 35,
        set_seed = 23) %>%
      get_periphery()

[Package DiagrammeR version 1.0.1 Index]